<section class="MyGigs">
  <div class="container">
    <div class="row">
      <div class="col-md-6 noPadding_mobile">
        <h2 class="GigList_Heading">Buyer Request</h2>
      </div>

    </div>
    <div class="row">
      <div class="col-md-12 noPadding_mobile">
        <div class="tabbable-panel">
          <div class="tabbable-line">
            <ul class="nav nav-tabs bg_color_tabs">
              <li>
                <a href="#tab_default_1" class="active" data-toggle="tab" id="active_tab"
                  (click)="onTabChange('active_tab')">ACTIVE <span class="badge custom_badge">{{activeCount}}</span></a>
              </li>
              <li>
                <a href="#tab_default_2" data-toggle="tab" id="sentOffer_tab"
                  (click)="onTabChange('sentOffer_tab')">SENT OFFERS <span
                    class="badge custom_badge">{{sentOfferCount}}</span></a>
              </li>
            </ul>
            <div class="tab-content">
              <div class="tab-pane active" id="tab_default_1">
                <div class="row mb-2">
                  <div class="col-md-6 col-xs-6 noPadding_mobile">
                    <h5 class="heading_alignment">ACTIVE REQUESTS</h5>
                  </div>
                  <div class="col-md-6 col-xs-6 text-right searchbar noPadding_mobile">
                    <form>
                      <input type="text" name="search" class="form-control" placeholder="Search..."
                        [(ngModel)]="order_Search" autocomplete="off">
                      <i class="fa fa-search" (click)="onSearchBtnClick('active')"></i>
                    </form>
                  </div>
                  <!-- <div class="col-md-4 text-right">
                                      <div class="form-group pull-right">
                                          <select class="form-control custom_select">
                                              <option>Last 7 Days</option>
                                              <option>Last 14 Days</option>
                                              <option>Last 30 Days</option>
                                              <option>Last 2 Month</option>
                                          </select>
                                      </div>
                                  </div> -->
                </div>
                <div class="row">
                  <div class="col-md-12 noPadding_mobile">
                    <div class="Gig_table">
                      <!-- <table class="table table-striped" style="font-size: 13px !important;">
                                              <thead>
                                                <tr>
                                                  <th style="width: 16%">DATE</th>
                                                  <th style="width: 16%" class="text-left">BUYER</th>
                                                  <th style="width: 16%" class="text-center">REQUEST</th>
                                                  <th style="width: 16%" class="text-center">OFFERS</th>
                                                  <th style="width: 16%" class="text-center">DURATION</th>
                                                  <th style="width: 16%" class="text-right">BUDGET</th>
                                                </tr>
                                              </thead>
                                              <tbody>
                                                <tr>
                                                  <td class="text-left">23 Oct 2020</td>
                                                  <td class="text-left">Sunil Bingari</td>
                                                  <td class="text-center"></td>
                                                  <td class="text-center"><i class="fa fa-inr"></i> 100</td>
                                                  <td class="text-center">7 Days</td>
                                                  <td>
                                                      <div class="pull-right">
                                                          
                                                      </div>
                                                  </td>
                                                </tr>
                                                <tr>
                                                  <td class="text-left">23 Oct 2020</td>
                                                  <td class="text-left">Sunil Bingari</td>
                                                  <td class="text-center"></td>
                                                  <td class="text-center"><i class="fa fa-inr"></i> 100</td>
                                                  <td class="text-center">7 Days</td>
                                                  <td>
                                                      <div class="pull-right">
                                                          
                                                      </div>
                                                  </td>
                                                </tr>
                                              </tbody>
                                          </table> -->

                      <!--KENDO GRID START FOR ACTIVE BUYER REQUEST-->
                      <kendo-grid [data]="activeRequest_Griddata" [height]="gridHeight" [pageSize]="pageSize"
                        [sort]="sort" [skip]="state.skip" (sortChange)="sortActiveRequest_Change($event)"
                        [filter]="state.filter" [pageable]="true" scrollable="true" [resizable]="true"
                        [reorderable]="true" (pageChange)="pageChange($event)"
                        (dataStateChange)="activeRequest_DataStateChange($event)">
                        <kendo-grid-column field="date" title="DATE"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                          [style]="{'width':'100px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.created_date|date:'dd MMM yyyy'}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-column field="subcategory" title="SUBCATEGORY"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'130px'}"
                          [style]="{'width':'130px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.request.sub_category.sub_category_name}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="request" title="REQUEST"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                          [style]="{'width':'220px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-left noPadding_mobile">
                                <div>
                                  {{index.request.description}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="buyer" title="BUYER"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                          [style]="{'width':'100px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  <!-- {{index.buyer?.user_info?.first_name}}{{index.buyer?.user_info?.last_name}} -->
                                  <!-- {{index.buyer?.user_name}} -->
                                  <a href="javascript:void(0)" (click)="OnbuyernameClick(index.buyer.id)">
                                    <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">
                                      {{index.buyer?.user_name}}
                                      <!-- {{index.seller.user_info?.first_name}} {{index.seller.user_info?.last_name}} -->
                                    </h6>
                                  </a>
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="offers" title="OFFERS"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'180px'}"
                          [style]="{'width':'180px','text-align':'center'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div *ngIf="index.is_sent_offer!=true">
                                  <a href="javascript:void(0)" class="badge badge-success taskit_offers_btn"
                                    style="color:#fff; cursor: pointer;"
                                    (click)="onCreateOfferClick(index.id,index.request?.sub_category?.id)">
                                    Create Offer
                                  </a>
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="delivery_time" title="DELIVERY TIME"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                          [style]="{'width':'100px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-center noPadding_mobile">
                                <div>
                                  {{index.request.service_delivery==null?index.request.service_delivery_other==1?'i
                                  Day':index.request.service_delivery_other+'
                                  Days':index.request.service_delivery.service_delivery_name}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="budget" title="BUDGET"
                          [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                          [style]="{'width':'100px','text-align':'right'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.request.budget | currency: 'INR':'symbol':'1.0-0'}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                      </kendo-grid>
                      <!--KENDO GRID END FOR ACTIVE BUYER REQUEST-->
                    </div>
                  </div>
                </div>
              </div>

              <div class="tab-pane" id="tab_default_2">
                <div class="row mb-2">
                  <div class="col-md-6 col-xs-12 noPadding_mobile">
                    <h5>OFFERS SUBMITTED FOR BUYER REQUEST</h5>
                  </div>
                  <div class="col-md-6 col-xs-12 text-right searchbar noPadding_mobile">
                    <input type="text" name="search" class="form-control" placeholder="Search..." autocomplete="off"
                      [(ngModel)]="order_Search">
                    <i class="fa fa-search" (click)="onSearchBtnClick('sent')"></i>
                  </div>
                  <!-- <div class="col-md-4 text-right">
                                      <div class="form-group pull-right">
                                          <select class="form-control custom_select">
                                              <option>Last 7 Days</option>
                                              <option>Last 14 Days</option>
                                              <option>Last 30 Days</option>
                                              <option>Last 2 Month</option>
                                          </select>
                                      </div> 
                                  </div> -->
                </div>
                <div class="row">
                  <div class="col-md-12 noPadding_mobile">
                    <div class="Gig_table">

                      <!--KENDO GRID START FOR OFFERS SUBMITTED-->
                      <kendo-grid [data]="offersSubmittedRequest_Griddata" [height]="gridHeight_OfferSubmit"
                        [pageSize]="pageSize" [sort]="sort" [skip]="state.skip"
                        (sortChange)="sortOffersSubmitted_RequestChange($event)" [filter]="state.filter"
                        [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                        (pageChange)="pageChange_OffersSubmitted($event)"
                        (dataStateChange)="offersSybmittedRequest_DataStateChange($event)">
                        <kendo-grid-column field="date" title="DATE"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                          [style]="{'width':'100px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.created_date|date:'dd MMM yyyy'}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-column field="subcategory" title="SUBCATEGORY"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'130px'}"
                          [style]="{'width':'130px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.request.sub_category.sub_category_name}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="request" title="REQUEST"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                          [style]="{'width':'220px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-left noPadding_mobile">
                                <div>
                                  {{index.request.description}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="buyer" title="BUYER"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                          [style]="{'width':'100px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  <a href="javascript:void(0)" (click)="OnbuyernameClick(index.buyer.id)">
                                    <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">
                                      {{index.buyer?.user_name}}
                                    </h6>
                                  </a>
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="delivery_time" title="DELIVERY TIME"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                          [style]="{'width':'100px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-center noPadding_mobile">
                                <div>
                                  {{index.request.service_delivery==null?index.request.service_delivery_other==1?'i
                                  Day':index.request.service_delivery_other+'
                                  Days':index.request.service_delivery.service_delivery_name}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-column field="budget" title="BUDGET"
                          [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                          [style]="{'width':'100px','text-align':'right'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.request.budget | currency: 'INR':'symbol':'1.0-0'}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="offers" title="OFFERS"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'180px'}"
                          [style]="{'width':'180px','text-align':'center'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  <a href="javascript:void(0)" class="badge badge-success taskit_offers_btn"
                                    style="color:#fff; cursor: pointer;" (click)="onEditOfferClick(index.id)">
                                    Edit Offer
                                  </a>
                                  <a href="javascript:void(0)" class="badge badge-success taskit_offers_btn"
                                    style="color:#fff; cursor: pointer;" (click)="onRemoveOfferClick(index.id)">
                                    Remove Offer
                                  </a>
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                        <!-- <kendo-grid-column field="offer" title="OFFER"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'150px'}"
                          [style]="{'width':'150px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.offer}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-column field="subcategory" title="SUBCATEGORY"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                          [style]="{'width':'140px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.request.sub_category.sub_category_name}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-column field="request" title="REQUEST"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                          [style]="{'width':'220px','text-align':'left'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.request.description}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-column field="delivery_time" title="DELIVERY TIME"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                          [style]="{'width':'100px','text-align':'center'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.request.service_delivery==null?index.request.service_delivery_other==1?'1
                                  Day':index.request.service_delivery_other+'
                                  Days':index.request.service_delivery.service_delivery_name}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                        <kendo-grid-column field="budget" title="BUDGET"
                          [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                          [style]="{'width':'100px','text-align':'right'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding noPadding_mobile">
                                <div>
                                  {{index.request.budget | currency: 'INR':'symbol':'1.0-0'}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column> -->

                      </kendo-grid>
                      <!--KENDO GRID FOR OFFERS SUBMITTED-->
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</section>

<div id="gig_list" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog" style="width: 500px;">
    <div class="modal-content">
      <div class="modal-header custom_modal_header">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Select A Gig</h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body custom_modal_body" style="height: 400px;overflow: auto;">
        <div class="row Select_A_Gig">
          <div class="col-md-12" style="padding: 0;">
            <div class="tabbable-panel" *ngFor="let item of seller_gig_list?.results">
              <div class='container2'>
                <div>
                  <img src="item.gallery[0]?.file_path_thumbnail" class='iconDetails'>
                </div>
                <div class="container_text">
                  <h4 (click)="openSinglePayment(item.id)">{{item.title}}</h4>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div id="create_offer" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog create_payment_offer_modal_width">
    <div class="modal-content">
      <div class="modal-header custom_modal_header">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Create Payment Offer
        </h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body custom_modal_body">
        <div class="row Select_A_Gig">
          <div class="col-md-12" style="padding: 0;">
            <div class="tabbable-panel">
              <div class="container2">

                <div class="row">
                  <div class="col-md-8 col-xs-7">
                    <h4 style="line-height: 1.2;">{{selected_gig_data?.gig_title}}</h4>
                  </div>
                  <div class="col-md-4 col-xs-5 text-right">
                    <div class="form-group">
                      <a href="javascript:void(0)" class="btn btn-primary btn-sm selct_a_package_btn"
                        (click)="openSelectPackage()">Select Package</a>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12">
                    <div class="form-group">
                      <div>
                        <img src="{{selected_gig_data?.file_path}}" class="iconDetails" />
                      </div>
                      <div class="container_text">
                        <textarea class="form-control" placeholder="Describe Your Offer" rows="4"
                          [(ngModel)]="selected_gig_data.txtDescription" name="txtDescription"
                          maxlength="500"></textarea>
                        <span class="help-block pull-right">
                          <p id="characterLeft" class="help-block" style="font-size: 13px;margin-bottom: 15px;">
                            {{500-selected_gig_data.txtDescription?.length}} characters left</p>
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12">
                    <h6>Define the terms of your offer and what it includes. </h6>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12">
                    <div class="tabbable-panel" style="background-color: #f7f7f7;padding: 8px 8px 0px;">
                      <div class="row">
                        <div class="col-md-4">
                          <div class="form-group">
                            <h6>Revision (optional)</h6>
                            <div class="select">
                              <select class="form-control" [(ngModel)]="selected_gig_data.selected_revision"
                                name="selected_revision" (change)="onRevisionChange()">
                                <option value="0">Select From List</option>
                                <option *ngFor="let option of revisionList" value={{option.id}}>
                                  {{option.display_value}}
                                </option>
                              </select>
                            </div>
                          </div>
                        </div>
                        <div class="col-md-4">
                          <div class="form-group">
                            <h6>Delivery</h6>
                            <div class="select">
                              <select class="form-control" [(ngModel)]="selected_gig_data.selected_delivery"
                                name="selected_delivery" (change)="onDeliveryTimeChange()">
                                <option value="0">Select From List</option>
                                <option *ngFor="let option of deliveryList" value={{option.id}}>
                                  {{option.display_value}}
                                </option>
                              </select>
                            </div>
                          </div>
                        </div>
                        <div class="col-md-4">
                          <div class="form-group">
                            <h6>Price</h6>
                            <input type="text" class="form-control" placeholder="Enter Price"
                              [(ngModel)]="selected_gig_data.txtPrice" name="txtPrice" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="row">
                  <div class="col-md-6 col-xs-6 text-left">
                    <a href="javascript:void(0)" class="btn btn-secondary btn-sm" style="width: 100px;"
                      (click)="BackToGigList()">Back</a>
                  </div>
                  <div class="col-md-6 col-xs-6 text-right">
                    <a href="javascript:void(0)" class="btn btn-success btn-sm Send_Offer_btn" style="width: 100px;"
                      (click)="SendOffer()">Send Offer</a>
                  </div>
                </div>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div id="select_package" class="modal fade" role="dialog">
  <div class="modal-dialog custom_modal_dialog create_payment_offer_modal_width">
    <div class="modal-content">
      <div class="modal-header custom_modal_header">
        <h4 class="modal-title custom_modal_title text-left" style="color: #fff;font-size: 20px;">Select a Package</h4>
        <button type="button" class="close" data-dismiss="modal"
          style="position: absolute;right: 12px;top: 5px;font-size: 30px;">&times;</button>
      </div>
      <div class="modal-body custom_modal_body">
        <div class="row Select_A_Gig">
          <div class="col-md-12" style="padding: 0;">
            <div class="tabbable-panel" *ngFor="let item of selected_gig_data.package_list">
              <div class="container2" style="position:relative">
                <a href="javascript:void(0)" class="btn btn-primary btn-sm selct_a_package_btn"
                  style="position: absolute;top: 15px;right: 15px;z-index: 111;"
                  (click)="selectFinalPackage(item.price_type_id)">Select Package</a>
                <div class="row">
                  <div class="col-md-12">
                    <h5 style="line-height: 1.2;">{{item.price_type_name}} <span
                        style="color: #59baff;padding-left: 15px;">{{item.package_price | currency:
                        'INR':'symbol':'1.0-0'}}</span></h5>
                    <input type="text" style="display: none;" name="item.price_type_id"
                      [(ngModel)]="item.price_type_id" />
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 deliveryTime_xs">
                    <h5 style="line-height: 1.2;"><i class="fa fa-clock-o"></i> {{item.package_delivery_time}} <span
                        style="padding-left: 15px;"><i class="fa fa-refresh"></i> {{item.package_revisions}}</span></h5>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>